#pragma once
#include "VertexArray.h"
#include "Buffer.h"
#include "Mesh.h"
#include "Material.h"
#include <glm/glm.hpp>

namespace BarinkEngine {

	class GPU_Bucket {
	public:

		GPU_Bucket();
		~GPU_Bucket();

		void Upload(const Mesh& renderable);
		
		GpuBuffer vertexBuffer;
		GpuBuffer elementBuffer;
		VertexArray vertexarray;
		

		const Mesh* mesh;
		const Material* material;

	private : 
		unsigned int uv_id;

	};
	
};

